
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《Nodejs开发加密货币》之十六：利益，魔鬼与天使的共同目标 / 憋错料</title>

    <meta name="description" content="《Nodejs开发加密货币》之十六：利益，魔鬼与天使的共同目标 前言 上篇文章&lt;加密货币就是货币&gt;吸引了很多小伙伴关注,非常感谢.同时说明,很多小伙伴因为对加密货币不了解(或者有误解),所以才会敬而远之,错失良机. 这篇文章,继续上一篇,仍然通过直白的语言来讲解技术.涉及到的内容包括未来趋势,应用场景和风险提示,让我们更直观地理解币圈里的一些概念,比如:智能合约等. 利益,主宰着人类行为 人活着到底是为了什么?我们每个人可能都问过自己这个问题.我们有时候踌躇满志,想要拥有一切.有时候又高尚地低下头,崇尚与世无争,无忧无虑.但在纷繁复杂的真实世界里 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">《Nodejs开发加密货币》之十六：利益，魔鬼与天使的共同目标</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>前言</h2>
<p>上篇文章《加密货币就是货币》吸引了很多小伙伴关注，非常感谢。同时说明，很多小伙伴因为对加密货币不了解（或者有误解），所以才会敬而远之，错失良机。</p>
<p>这篇文章，继续上一篇，仍然通过直白的语言来讲解技术。涉及到的内容包括未来趋势，应用场景和风险提示，让我们更直观地理解币圈里的一些概念，比如：智能合约等。</p>
<h2>利益，主宰着人类行为</h2>
<p>人活着到底是为了什么？我们每个人可能都问过自己这个问题。我们有时候踌躇满志，想要拥有一切。有时候又高尚地低下头，崇尚与世无争，无忧无虑。但在纷繁复杂的真实世界里，我们总会被某个力量牵引着，挣脱不开，欲罢不能。</p>
<p>这个力量，就是追求利益的欲望。利益，是什么？从网上查到的解释是：</p>
<blockquote><p>利益是指人类用来满足自身欲望的一系列物质和精神需求，包括：金钱、权势、色欲、名声、地位等，但凡能满足人类欲望的事物，</p>
<p>均可称为利益。利益依附欲望而生，而人的基因确定了欲望的存在，组成社会的基本元素是人，就不可避免地出现了：阶级、政治、</p>
<p>战争……利益冲突决定着一切。</p></blockquote>
<p>人们对利益的追求来源于人的本性。人具有三种本性，即求生的第一本性，懒惰的第二本性和不满足的第三本性（这是人和动物的根本区别）。所以，人们的利益也可以分为三类，即求生的利益，懒惰的利益以及不满足的利益。总之，人类欲望无止境。</p>
<p>历史名人，对于利益的名言，也是值得学习和思考的。马克思说过：“人们奋斗所争取的一切，都同他们的利益有关”，列宁也说：“几何公理要是触犯了人们的利益，那也一定会被推翻的”，霍尔巴赫的话更加直白：“利益是人类行动的一切动力”。</p>
<p>所以，我们不仅不用避讳谈利益，而且最好把利益作为我们分析和思考产品开发设计的根本因素。如此以来，对于理解人们为何对加密货币趋之若鹜就自然轻松多了。</p>
<h2>可编程的“利益”转移手段</h2>
<p>最近不止一次谈到“信用”这个话题，每一次都会有更加深刻的理解。第一次明确的谈信用，起源于一个公司反复的声明一件事情，但是除了声明，也没有更好的办法向公众表明自己，反而越声明越被动。我于是写了一篇文章 《请尽早把你的信誉区块链化》(见参考) ，宗旨是学习区块链的处理方式积累个人或公司信用。</p>
<p>今天再次提及这个话题，原因是我在写下前言部分的时候，突然发觉单纯的讲未来趋势如何，没有任何说服力，其中缺少潜在的源动力。另外，之前，在文章前面，我经常写下这样一段话:</p>
<blockquote><p>发布本文时，比特币价格xxxx元（xxx美元）。为什么一个凭空设计出来的加密货币如此受追捧？为什么微软、IBM等巨头纷纷进入？</p>
<p>为什么尝试了解比特币的技术人员，都会被深深吸引？它到底有什么诱人之处？《Nodejs开发加密货币》，正尝试回答这些问题。</p></blockquote>
<p>可当时，没想过如何正面回答为什么。今天发现，在这里回答，应该是最好的时候。</p>
<h4><strong>（1）信用是交易的基础</strong></h4>
<p>我们什么时候才会讲到“信用”？什么时候才会考查他人的“信用”？很显然，就是准备与他人进行“交易”的时候。可以说，信用是交易的前提，没有信用就没有交易，有了信用才有可能交易。</p>
<p>经济社会，就是一个信用社会。信用不在，一切都将回归原始社会：物物交换，甚至是自给自足。因为交易风险太大，人类保护自己利益（求生的本性）和追求自己利益最大化（不满足的本性）的欲望，会促使人们放弃交易。信用，对于个人和企业而言，同等重要。</p>
<h4><strong>（2）信用是积累的过程</strong></h4>
<p>信用的建立，不是一朝一夕的事情。如果深入思考，安全、公开、可追溯，才是人类建立信任的基本要素。没有一个人一见面就说我信任你的，也没有一个人躲躲藏藏还能赢得他人信任的，一般都是“路遥知马力，日久见人心”的事情。</p>
<p>这里隐含的意思就是，每个人都会对另一个人的信用，在自己心里建立一个“区块链”。一旦有交易往来，就会自觉回忆过往的点点滴滴（追溯），对当下的交易进行风险评估。如果是重大交易，这个人可能还要求教第三方，通过他人的“区块链”进一步认证。</p>
<h4><strong>（3）信用的本质是解决了信息不对称</strong></h4>
<p>经济学建立在一个基本假设之上，那就是“人，是理性自私的”，也就是说一切经济行为都会朝着“利益最大化”的方向发展。人们没有办法一开始就信任你，是因为彼此“信息不对称”，没有足够信息证明自己不会在你“利益最大化”的过程中“被牺牲掉”。</p>
<p>“信息不对称”表现在三个方面：一个是，我的信息，你不知道;另一个是，我的信息，你知道但无法识别;第三个是，我的信息，你知道，也可以辨别，但是你无法控制。</p>
<p>一些经济学家对此进行了大量研究，他们认为，信息不对称造成了市场交易双方的利益失衡，影响社会的公平、公正的原则以及市场配置资源的效率，并且提出了种种解决的办法，但是仍然无法彻底解决这个问题。</p>
<p>直到比特币的出现，人们才真正找到了一条切实可行的方法途径。为什么说比特币会火，人人都觉得它有价值？是因为它绝对可信（至少目前是）！为什么它绝对可信，是因为区块链、加密技术和分布式网络的组合，让交易变得安全、公开、可追溯。（基本原理可以看上一篇文章分析）</p>
<p>所以，区块链承载的就是信用，是一个无需政府、银行或财团抵押担保的信用。如果，没有政府保障，法币将一文不值。如果没有区块链，比特币也将一文不值。这就是区块链的价值所在，也是比特币和那些真正的加密货币会火的真正原因。</p>
<p>换句话说，纯粹编程实现的加密货币可以让“利益”按照设定的规则转移（交易），而人类尊重这个规则就会受益，背离将毫无所获，最终的结局是人类纷纷参与其中，让这个盘子越来越大。现在你看到的比特币，就是这个结果，社会各界都预测比特币将死，可结果却是更加红火。</p>
<h2>未来趋势</h2>
<p>比特币之前，人类从来无法完全控制“利益”走向，比特币之后，人们终于可以对“利益”转移进行编程处理，这将给人类未来带来无限的可能。</p>
<p>去中心化，人类社会的基本形态，是个体交换的基本前提。之所以被提出来，不是这个技术怎么样先进，而是现有的技术多么的落后。p2p、加密解密和分布式等技术的出现，都是人类在某个阶段解决特定问题设计出来的，组合在一起成为加密货币，更接近了人类本源。</p>
<p>一切违背人性的东西，都要被颠覆。每一个人，都不想被限制。把你的命运，交到第三方手里，任由他摆布，你必不乐意。所以，以服务器为中心的各类有中心的应用都将逐步走向终结，仅是时间问题。</p>
<p>那些去中心化的应用，才是真正的符合人性的应用，必将占据主流，抢占先机。至于，是不是比特币或其他的加密货币，根本不重要，只要能让你无障碍的进行交换（人类处处不交换，交换信息、金钱、财富）。</p>
<p>比特币给了我们进入新世界的一个样板。全新的互联网时代已经来临，只是处在初级阶段，那些真正落地，被大众接受的应用还不存在。目前，所有的应用，仍然那么高大上，就像最初的BP机、大哥大或智能手机，只能作为少部分人的玩具和试验品。但是，很快，它将遍布这个世界。</p>
<h2>应用场景</h2>
<p>我们的目标是开发加密货币，因此时刻会从技术实现的角度去思考问题。这里给目前的加密货币进行大致分类，自然要从技术层面来分，大致可以这样分为三类：</p>
<h4><strong>（1）基础层</strong></h4>
<p>这个层次就是一个完整的加密货币，类似于我们电脑的操作系统，它提供的可供用户使用的软件也就是一个客户端钱包。这个客户端钱包功能也很简单，就是建立地址、验证签名、转账支付、查看余额等。</p>
<p>通过之前的分析，也很好理解，这个层次是一切的基础，相当于构建了网络环境、搭建了交易通道，至于你要交易什么，想干什么，它一概不过问，也过问不了。典型的例子，自然是比特币，还有各种二代币，比如莱特币、狗狗币等，本书介绍的亿书币也是。这个层次，是现阶段开发者聚集的地方，这说明加密货币仍在起步当中。</p>
<h4><strong>（2）扩展层</strong></h4>
<p>这个层面类似于电脑的驱动程序，是为了让加密货币更加实用。一是比特币的各类轻钱包应用，让不同用户可以选择不同的钱包，应该算作简单的扩展实现。二是各类交易市场，实现简单，来钱快，成本低，但风险也大。三是针对某个方向的扩展实现，比如sia属于去中心化的存储，以太坊属于让开发者编写去中心化应用的平台（类似亿书）等。</p>
<p>特别值得一提的就是大家听得最多的“智能合约”的概念，这是典型的扩展层面的应用开发。所谓“智能合约”就是“可编程合约”，其中的“智能”是条件执行上的智能，也就是说达到某个条件，合约自动执行，比如自动转移证券等。目前还没有比较成型的产品。</p>
<h4><strong>（3）应用层</strong></h4>
<p>这个层面类似于电脑中的各种软件程序，是老百姓可以真正直接使用的产品。这个层面的应用，目前几乎是空白。市场亟待出现这样的应用，引爆市场，形成真正的扩张之势，让加密货币快速走进寻常百姓。</p>
<p>本书写作和分享亿书源码的目的，就是要打造一个人人可用的去中心化的软件——亿书。亿书基于加密货币——亿书币（本书源码分享部分），扩展了侧链功能，提供了一个简单的写作工具，用以满足人们日常工作需要。它强大的协作功能、数字出版、版权保护，以及侧链功能等，对于专业作者、博客写手和开发者具有足够吸引力。</p>
<p>限于当前加密货币的发展，亿书只能从基础层出发，把目标指向应用层，同时为第三方开发者提供扩展层的强大支持。这样做既可以避免贪多，又可以避免无法落地，是真正理性的开发路线。因为纯粹的开发基础层或扩展层，无法真正理解和验证应用层，会脱离实际，让第三方开发者很难使用。如果仅仅考虑应用层，市面上又找不到真正牢固、易用的基础层或扩展层的产品，包括那些众筹成功的，也仅仅停留在概念层面，导致开发成本高，风险大。</p>
<h2>风险提示</h2>
<p>如果读到这里，还对加密货币充满怀疑，您就不适合从事这行，还是赶快离开的好。如果您蠢蠢欲动，想要大干一番，那么就得把下面的内容看完，让我给你破点冷水，保持更加清晰的头脑。</p>
<p>加密货币仍处在莽荒的发展阶段，充满了各种神话，也存在着各种骗局，所以我说“天使与魔鬼同在”。有很多小伙伴进来，一开始会被各种诱惑所吸引，其中不乏上当受骗者，这里把本人了解的简单介绍一下，权当提醒。</p>
<h4><strong>（1）远离传销币</strong></h4>
<p>所谓传销币，上篇文章提过，就是把加密货币当作核心产品（有的甚至什么都没有，就一网站），通过传销发行的加密货币。这类币很少在主流加密货币社区出现，因为一出现就会被经验丰富的币圈大咖识破。所以，如果有人向你推销某某币，并向你承诺诱人的收益时，千万当心，你遇到的可能就是传销币，典型的如“MMM”。</p>
<p>这类币的诱惑性之所以非常大，是因为他们也提供真正的加密货币（从上面的分析，应该知道这个不难）。真正的加密货币都是开源的，像亿书还提供详细的源码解析，很多人都可以照猫画虎弄一个。但是，后续没有任何技术上的改进，只能是死路一条，等待崩盘或跑路。</p>
<h4><strong>（2）远离空壳币</strong></h4>
<p>所谓的空壳币，就是把加密货币当作核心产品，通过快速众筹的方式骗钱的加密货币。这个与传销币的本质相同，只不过人家公开众筹，至于会怎么样，不得而知。</p>
<p>这类币，突出的表现就是，从源码建立到众筹的时间比较短，各方面信息粗制滥造，一看就不是正经要干事的。每天都有很多的新币出现，有的创世贴、白皮书几乎一样，没有任何改进。这类币，最终只能以跑路为结局。</p>
<h4><strong>（3）避免操作风险</strong></h4>
<p>上面的是入行，眼睛不亮，可能就掉进坑里了。一旦找到值得信赖的产品，就会进入操作风险的层面，这里简单归纳一下：</p>
<p><strong>1&gt; 选择官方钱包</strong></p>
<p>使用其他人提供的，或什么盘上下载的，可能被挂木马，损失更大。有些钱包在安装使用的时候，会被杀毒软件提示，通常需要用户手动加入白名单。这就更加充满迷惑性，被挂马的客户端基本就畅通无阻了。</p>
<p><strong>2&gt; 保护钱包私钥</strong></p>
<p>私钥就像你的银行密码，不能泄漏或丢失，否则基本没办法找回。另外，加密货币的钱包私钥，比密码复杂，一大长串，很难脑记。保存在电脑上怕被盗，保存在纸上，怕丢失，但无论如何，自己要保存好，那可是自己财产的钥匙。</p>
<p><strong>3&gt; 做好钱包备份</strong></p>
<p>钱包数据保存的就是自己的钱，要定期备份，以免丢失。特别是，清理电脑或更换系统时，要确保钱包数据已经备份。</p>
<p>上述问题看完，是不是挺受打击的？怎么这么多问题呢，这个行业还能待吗？为了回答这个问题，欢迎您移步我之前在亿书开发者群里分享过的文章《天使投资人的骗子论》(见参考)，该文的核心意思是，我的一位天使投资人朋友认为“骗子”是趋利更敏感的一群人，骗子多预示着机会也多。所以，这点小问题，只要留心，不足以成为问题。</p>
<h2>总结</h2>
<p>这篇文字让我重新思考了“利益”转移规则的程序化进程、趋势和风险。下一步，我们会思考，这种利益转移规则都有那些（共识机制介绍），有什么优缺点，亿书计划如何改进，请看入门部分的最后一篇:<strong>《机制，左右社会未来的根源》</strong>。</p>
<h2>链接</h2>
<p><strong>本系列文章即时更新，若要掌握最新内容，请关注下面的链接</strong></p>
<p>本源文地址： <a href="https://github.com/imfly/bitcoin-on-nodejs" rel="external nofollow noreferrer">https://github.com/imfly/bitcoin-on-nodejs</a></p>
<p>本文首发区块链俱乐部： <a href="http://chainclub.org/topic/10/利益-魔鬼与天使的共同目标" rel="external nofollow noreferrer">http://chainclub.org</a></p>
<p>亿书官方网站： <a href="http://ebookchain.org" rel="external nofollow noreferrer">http://ebookchain.org</a></p>
<p>亿书开发QQ群： 185046161</p>
<h2>参考</h2>
<p><a href="http://chainclub.org/topic/5/请尽早把你的信誉区块链化" rel="external nofollow noreferrer">《请尽早把你的信誉区块链化》</a></p>
<p><a href="http://8btc.com/thread-32135-1-1.html" rel="external nofollow noreferrer">《天使投资人的骗子论》</a></p>
<p><a href="http://baike.baidu.com/link?url=oqF5zGQnFBXxf7ts-BF97FRrRo2rh5odLPIDQgZtMaDYmCKaE7kEw1OhSLqTRXk_2W-kGMztK3yz5mlYraT7TgeY2n5lm06BdsSQpCsPYN_" rel="external nofollow noreferrer">利益，网络释义</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 23:44:24 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>《Nodejs开发加密货币》之十六：利益，魔鬼与天使的共同目标的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YDr8yM.html" rel="bookmark">《Nodejs开发加密货币》之二十六：轻松从Js文件生成UML类图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上一篇&lt;函数式编程入门经典&gt;,罗嗦了很长,很多小伙伴看得云里雾里.这里提供一个实例,让大家切身感受函数式编程的奥妙和趣味.当然,仅仅为了举例而写代码就没有什么意义了,本书提供的例子都是承担了某项任务的具体项目或工具,这个例子自然也不能例外. 本书用到了大量的Uml类图,经常有小伙伴问我用什么工具画的.说实话,前几篇是我个人一点点手工整理的,但后来就感觉在浪费生命,作为程序员,怎么可能容忍这样的事情反复发生.所以,就有了 js2uml(见参考)这个小工具.只不过,当初目的单一,仅仅使用正则			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3vyYN90.html" rel="bookmark">《Nodejs开发加密货币》之十七：共识机制，可编程的利益转移规则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是关于加密货币入门文章的最后一篇.加密货币入门文章主要针对开发人员,从理论层面描述加密货币的架构思路,共计3篇.本文标题在真正写作的时候作了修改,没有延续上文最后的提示&lt;机制,左右社会未来的根源&gt;.写作本文时,比特币遭遇疯涨,当前是3876元/比特币. 前言 前面的文章中,我们说过,加密货币都是去中心化的,去中心化的基础就是P2P节点众多,那么如何吸引用户加入网络成为节点,有那些激励机制?同时,开发的重点是让多个节点维护一个数据库,那么如何决定哪个节点写入?何时写入?一旦写入,又怎么保证不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mow6VDM.html" rel="bookmark">《Nodejs开发加密货币》之十五：加密货币就是货币</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一篇加密货币的入门文章,是对&lt;Nodejs开发加密货币&gt;的入门指南部分的补充,主要写给那些没有接触过比特币.加密货币的小伙伴,接下来的内容,都将与加密货币相关. 前言 &quot;加密货币就是货币&quot;听起来挺&quot;白痴的&quot;.想想背后的意思,言外之意就是&quot;加密货币可能不是货币&quot;,就非常值得玩味了.事实上,在我接触的很多朋友当中,一开始认为后者的更多.包括我自己,也是经过探究一段时间之后,才认定这个结论的. 惯性定律不仅存在于物质世界,也存在于人类的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPgLQB4.html" rel="bookmark">《Nodejs开发加密货币》之十：三张图让你全面掌握加密解密技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于 &lt;Nodejs开发加密货币&gt;,是一个加密货币产品的详细开发文档,涉及到使用Nodejs开发产品的方方面面,从前端到后台.从服务器到客户端.从PC到移动.加密解密等各个环节.代码完全开源.文章免费分享. 相关资源见 http://ebookchain.org QQ交流群: 185046161 前言 加密解密技术,涉及面很广,这里,把前人的研究成果汇总起来,通过图表的形式来帮助记忆和筛选,方便日后使用.内容主要包括两个方面,一个是场景与算法,一个是Nodejs的相关模块或组件.共三张脑图,具			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP1vvB0.html" rel="bookmark">《Nodejs开发加密货币》之十二：静态网站开发全景扫描</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在前面的入门部分,介绍了Nodejs在前端开发中的应用,并通过具体项目说明了Nodejs在比特币客户端领域被广泛应用.当时为了介绍Nodejs入门技术,一切都是从头创建,没有引入前端框架.但在具体的项目实践中,前端是有框架可以选择的,效率和体验会有明显提升. 具体到前端框架,我的选择是Ember.js.Ember给开发带来一种飞一般的感觉,如果问前端框架哪家强,我会毫不犹豫的说Ember.(具体为什么,网上仍然争论不休,本文不做讨论) 本文重点介绍静态网站的类型,亿书官网的技术选型,以及在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/352Dan4.html" rel="bookmark">《Nodejs开发加密货币》之二十一：交易</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题外话:这篇文章,耗费了我大量精力,用UML表达javascript类及流程本来就不是什么容易的事情,用来描述加密货币交易这种验证逻辑非常多的代码更难,加之Nodejs的回调在这些代码里嵌套很深,所以如何把异步调用变成人类容易理解的顺序调用,也做了一番取舍,时间不知不觉就过了一星期. 所幸,赶在比特币减半的今天完成并发布这篇文章,也算在区块链火热的今天,&lt;Nodejs开发加密货币&gt;走到了一个关键节点:触及了加密货币的灵魂和腹地.动辄几千一枚的比特币等加密货币可能会消亡,但是背后的技术却蓬勃发展			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eq9EZ0.html" rel="bookmark">《Nodejs开发加密货币》之二十七：开发通用的HTML组件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				人的懒惰常常是麻烦的开始.多数程序员都希望自己的工作一劳永逸,一次开发,到处使用,成了人人追逐的目标,我也不例外.最初写&lt;Nodejs开发加密货币&gt;系列文章,因为不喜欢设定好了去写,所以目录反复修改,索性弄了小工具gitbook-summary:在写入门文章的时候,反复搜索github,索性把检索与制图集成到一起,弄了个开发语言检索统计工具(见&lt;Node.js让您的前端开发像子弹飞一样&gt;文章实例):阅读源码的时候,手动整理Uml图很辛苦,干脆写成了js2uml工具(见&lt;轻松从			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aylNR0.html" rel="bookmark">《Nodejs开发加密货币》之八：一个精巧的p2p网络实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				发布本文时,比特币价格 ￥2909.92 / $448.29 .为什么一个凭空设计出来的加密货币如此受追捧?为什么微软.IBM等巨头纷纷进入?为什么尝试了解比特币的技术人员,都会被深深吸引?它到底有什么诱人之处?&lt;Nodejs开发加密货币&gt;,让我们一起探索其背后的密码. &lt;Nodejs开发加密货币&gt;,目的是提供加密货币(亿书币)的详尽开发文档,涉及到使用Nodejs开发产品的方方面面,从前端到后台.从服务器到客户端.从PC到移动.从IO密集型到计算密集型.从中心化到去中心化.加密解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KKnRm0.html" rel="bookmark">《Nodejs开发加密货币》之七：入口程序app&period;js解读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				入口程序app.js解读 发布本文时,比特币价格 ￥2873.95 / $443.95 .为什么一个凭空设计出来的加密货币如此受追捧?为什么微软.IBM等巨头纷纷进入?为什么尝试了解比特币的技术人员,都会被深深吸引?它到底有什么诱人之处?&lt;Nodejs开发加密货币&gt;,让我们一起探索其背后的密码. &lt;Nodejs开发加密货币&gt;,目的是提供加密货币(亿书币)的详尽开发文档,涉及到使用Nodejs开发产品的方方面面,从前端到后台.从服务器到客户端.从PC到移动.从IO密集型到计算密集型.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZDqZM.html" rel="bookmark" class="title">关于hibernate中提示can not create table &ast;&ast;&ast;&ast;&ast;&ast;</a>
					<div>
						最近这两天,一直在搞hibernate,被 其中一个问题困扰了好久.在网上找了好久,一直都没有找到可行的方法,把jdk,jre,tomcat,装了拆,拆了装,可就是搞不好.实在是没有办法,又重新建了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/138yjZ4.html" rel="bookmark" class="title">Android中读取不同位置（drawable，asset，SDCard）的图片资源</a>
					<div>
						方式一: 已将图片保存到drawable目录下,通过图片id获得Drawable或者Bitmap,此方式最常用.(若只知道图片的名称,还可以通过图片的名称获得图片的id) (1)通过图片id获得Dra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3ZaPl0.html" rel="bookmark" class="title">设有一数据库，包括四个表：学生表（Student）、课程表（Course）、成绩表（Score）以及教师信息表（Teacher）。四个表的结构分别如表1-1的表（一）~表（四）所示，数据如表1-2的表（一）~表（四）所示。用SQL语句创建四个表并完成相关题目。</a>
					<div>
						表(一)Student (学生表) -- Create table create table STUDENT ( sno VARCHAR2(3) not null, sname VARCHAR2(8) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vL69M.html" rel="bookmark" class="title">【送福利】office~2016~安~装~包~以及~~破~解~工~具</a>
					<div>
						office························2016安装包下载地址: 链接:http://pan.baidu.com/s/1pL50Q4z 密·····码:muvc office·2· ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02ARnM.html" rel="bookmark" class="title">最小函数值 洛谷P2085</a>
					<div>
						题目描述:          有n个函数,分别为F1,F2,...,Fn.定义Fi(x)=Ai*x^2+Bi*x+Ci (x∈N*).给定这些Ai.Bi和Ci,请求出所有函数的所有函数值中最小的m个( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vvjZ93.html" rel="bookmark" class="title">15&period;find查找命令《Mr&period;Robot》</a>
					<div>
						前言:查找,要会!&lt;Mr.Robot&gt; ---------------------------------------------------- 一.find使用: 格式:find [op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bYKYeM.html" rel="bookmark" class="title">Centos5&period;5内核升级</a>
					<div>
						当前版本linux-2.6.18-194.el5PAE目标版本linux-2.6.35.9内核升级步骤: 1.查看当前内核版本 uname –a￥ Linux localhost.localdomai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX78aa4.html" rel="bookmark" class="title">（递归）666&colon;放苹果</a>
					<div>
						描述 把M个同样的苹果放在N个同样的盘子里,允许有的盘子空着不放,问共有多少种不同的分法? (用K表示)5,1,1和1,5,1 是同一种分法. 输入 第一行是测试数据的数目t(0 &lt;= t &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrBYn4.html" rel="bookmark" class="title">（转）深入理解flash重绘</a>
					<div>
						深入理解Flash Player重绘 Flash Player 会以SWF内容的帧频速度来刷新需要变化的内容,而这个刷新的过程,我们通常称为“重绘(redraw)”,相信即便是初级的菜鸟也知道,只要使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pzl9V0.html" rel="bookmark" class="title">Openstack 大纲</a>
					<div>
						目录表 1.开始使用openstack 概念体系结构 逻辑体系机构 Openstack的服务 反馈 2.身份认证管理 身份认证服务概念 用户crud 记录存入 监控检查 开始身份认证服务 用法示范 中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZQvpM.html" rel="bookmark" class="title">PHP Cookie Session</a>
					<div>
						这些都是基础知识,不过有必要做深入了解.先简单介绍一下. 二者的定义: 当你在浏览网站的时候,WEB 服务器会先送一小小资料放在你的计算机上,Cookie 会帮你在网站上所打的文字或是一些选择, 都纪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02kA9z3.html" rel="bookmark" class="title">css体验优化之图片容器设置宽高比</a>
					<div>
						需求 我们在做web页面的时候,经常会有一些图片列表,例如下图的视频列表以及表情列表:        需求要求: 1. 列表是responsive的,在不同宽度的浏览器下面,图片要自适应容器宽度 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmYqypM.html" rel="bookmark" class="title">关于本地虚拟机外网正常，内网不通的问题</a>
					<div>
						刚克隆的虚拟机,ping 某个IP地址不通,但是ping www.baidu.com是通的!! [[email protected] ~]# ping 172.16.1.31 PING 172.16. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDzwWM.html" rel="bookmark" class="title">Oracle 手动修改spfile后的现象记录</a>
					<div>
						Oracle 11G 引入Memory_max_target和Memory_target参数用于数据库的内存自动管理(AMM),本意是修改该两个参数超过物理内存的大小,视图看看数据库报什么错误. 备份 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bRVpm0.html" rel="bookmark" class="title">之前写的h5css3动画&mdash;&mdash;月食</a>
					<div>
						逛codepen看到一些项目的时候就很想写,这个是特别喜欢,配色太戳我了,我就自己动了一动 效果图: &lt;!DOCTYPE html&gt;&lt;html lang=&quot;en&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzXayW3.html" rel="bookmark" class="title">Android 学习笔记之Volley&lpar;六&rpar;实现获取服务器的字符串响应&period;&period;&period;</a>
					<div>
						学习内容: 1.使用StringRequest实现获取服务器的字符串响应...   前几篇一直都在对服务——响应过程的源码进行分析,解析了整个过程,那么Volley中到底实现了哪些请求才是我们在开发中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAJJ73.html" rel="bookmark" class="title">java&lowbar;String、集合类</a>
					<div>
						1.==与equals 1)a==b是进行地址比较,a.equals(b)是进行值比较. 2)String类是final不可变类,对String的改变都会引发新的String对象的生成. 3)&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41yqgJ4.html" rel="bookmark" class="title">css中如果没有设置display，则无法显示动画效果！！！</a>
					<div>
						1 &lt;script type=&quot;text/javascript&quot; src=&quot;jquery-1.7.1.js&quot;&gt;&lt;/script&gt; 2 & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vXrJ9M.html" rel="bookmark" class="title">TCP协议简介</a>
					<div>
						一 传输控制协议(TCP)是一种面向连接的.可靠的.基于字节流的传输层通信协议. 1 面向连接意味着两个使用TCP的应用(通常是一个客户端和一个服务器)在彼此交换数据之前必须先建立一个TCP连接. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lLlPX0.html" rel="bookmark" class="title">11周（反序数）</a>
					<div>
						/* *copyright(c) 2014,烟台大学计算机学院 *All rights reserved. *文件名称:反序数 *作者:王忠 *完成日期:2014.11.10 *版本号:v1.0 *  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
